CREATE TABLE ben_vrbl_mtchg_rt_f (
    VRBL_MTCHG_RT_ID               NUMBER(18, 0),
    EFFECTIVE_END_DATE             DATE         ,
    EFFECTIVE_START_DATE           DATE         ,
    NO_MX_PCT_OF_PY_NUM_FLAG       VARCHAR2(120)    NOT NULL,
    TO_PCT_VAL                     NUMBER(15, 2),
    NO_MX_AMT_OF_PY_NUM_FLAG       VARCHAR2(120)    NOT NULL,
    MX_PCT_OF_PY_NUM               NUMBER(15, 2),
    NO_MX_MTCH_AMT_FLAG            VARCHAR2(120)    NOT NULL,
    ORDR_NUM                       NUMBER(18, 0)    NOT NULL,
    PCT_VAL                        NUMBER(15, 2),
    MX_MTCH_AMT                    NUMBER       ,
    MX_AMT_OF_PY_NUM               NUMBER       ,
    MN_MTCH_AMT                    NUMBER       ,
    MTCHG_RT_CALC_RL               NUMBER(18, 0),
    CNTNU_MTCH_AFTR_MAX_RL_FLAG    VARCHAR2(120)    NOT NULL,
    FROM_PCT_VAL                   NUMBER(15, 2),
    VRBL_RT_PRFL_ID                NUMBER(18, 0),
    BUSINESS_GROUP_ID              NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    VRBL_MTCHG_RT_ID               NUMBER(18, 0),
    EFFECTIVE_END_DATE             DATE         ,
    EFFECTIVE_START_DATE           DATE         ,
    NO_MX_PCT_OF_PY_NUM_FLAG       VARCHAR2(120)    NOT NULL,
    TO_PCT_VAL                     NUMBER(15, 2),
    NO_MX_AMT_OF_PY_NUM_FLAG       VARCHAR2(120)    NOT NULL,
    MX_PCT_OF_PY_NUM               NUMBER(15, 2),
    NO_MX_MTCH_AMT_FLAG            VARCHAR2(120)    NOT NULL,
    ORDR_NUM                       NUMBER(18, 0)    NOT NULL,
    PCT_VAL                        NUMBER(15, 2),
    MX_MTCH_AMT                    NUMBER       ,
    MX_AMT_OF_PY_NUM               NUMBER       ,
    MN_MTCH_AMT                    NUMBER       ,
    MTCHG_RT_CALC_RL               NUMBER(18, 0),
    CNTNU_MTCH_AFTR_MAX_RL_FLAG    VARCHAR2(120)    NOT NULL,
    FROM_PCT_VAL                   NUMBER(15, 2),
    VRBL_RT_PRFL_ID                NUMBER(18, 0),
    BUSINESS_GROUP_ID              NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_vrbl_mtchg_rt_f PRIMARY KEY (VRBL_MTCHG_RT_ID, EFFECTIVE_END_DATE, EFFECTIVE_START_DATE, VRBL_MTCHG_RT_ID, EFFECTIVE_END_DATE, EFFECTIVE_START_DATE)
);
